All pages
Powered by GitBook
1 of 1

Loading...

Publish category

Publishes a category.

post

Publishes the category, making it available for subscriptions. Contacts can then subscribe to it.

Path parameters
idstringRequired

The category ID.

Body

Entity Note Dto

notestring · nullableOptional
Responses
200

OK

application/json

Represents a notification category that can be used to organize and filter notifications.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

optOutAllowedbooleanOptional

Gets or sets a value indicating whether recipients can opt out of notifications in this category.

statusstringOptional

Gets or sets the current status of the category.

notestring · nullableOptional

Gets or sets an optional note about the category.

deleteAllowedbooleanOptional

Gets or sets a value indicating whether this category can be deleted.

monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

enabledByDefaultbooleanOptional

Gets or sets a value indicating whether this category is enabled by default for new recipients.

400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/notifications/categories/{id}/publish
POST /public/v1/notifications/categories/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "note": "text"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "description": "text",
  "optOutAllowed": true,
  "status": "text",
  "note": "text",
  "deleteAllowed": true,
  "statistics": {
    "month": 1,
    "today": 1,
    "week": 1
  },
  "lastUsed": "2026-01-01T00:00:00.000Z",
  "enabledByDefault": true
}